1 Reply Latest reply on Sep 20, 2008 4:48 PM by Alessio Soldano

    problems with mtom and soap version 1.2

    Bob Lynch Newbie

      I've created a simple pojo ws and it works fine as long as the client sends requests using a SOAP 1.1 envelope, but if I use SOAP 1.2 I get this error back in a soap fault:

      S:VersionMissmatch
      Couldn't create SOAP message. Expecting Envelope in namespace http://schemas.xmlsoap.org/soap/envelope/, but got http://www.w3.org/2003/05/soap-envelope

      Does mtom work with soap version 1.2?

      Thanks,

      Bob